/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

.glass-card .elementor-icon {
     background: rgba(255, 255, 255, 0.1);
     backdrop-filter: blur(10px);
     -webkit-backdrop-filter: blur(10px);
     border: 2px solid rgba(255, 255, 255, 0.25);
     box-shadow: 0 8px 32px rgba(31, 38, 135, 0.37), inset 0 1px 3px rgba(255, 255, 255, 0.6), inset 0 -3px 10px rgba(0, 0, 0, 0.4);
}
 .tab-btn {
     cursor: pointer;
     opacity: 0.5;
     transition: opacity 0.3s ease-in-out;
}
 .tab-btn.active {
     opacity: 1 !important;
}
 .tab-btn:hover {
     opacity: 0.8;
}
 .tab-image {
     display: none;
}
 .tab-image.active {
     display: block;
}
 .card {
     position: relative;
     overflow: hidden;
}
 .card img {
     transition: transform 0.5s ease;
}
 .card .icon-box {
     position: absolute;
     left: 50%;
     top: 70%;
     transform: translate(-50%, -40%);
     transition: all 0.5s ease-in-out;
     z-index: 2;
     width: 100%;
}
 .card .description {
     position: absolute;
     left: 0;
     bottom: -100%;
     width: 100%;
     color: #fff;
     padding: 10px;
     text-align: center;
     opacity: 0;
     transition: all 0.5s ease-in-out;
     z-index: 1;
}
 .card:hover .description {
     bottom: 0;
     opacity: 1;
}
 .card:hover .icon-box {
     top: 30%;
     transform: translate(-50%, 20%);
}
/* About Page */
 .leave-bg {
     position: relative !important;
}
 .leave-bg::before {
     content: '';
     position: absolute;
     background-image: url(../../../wp-content/uploads/2026/01/leave-img-new.webp);
     width: 100%;
     height: 100%;
     background-size: 25%;
     background-repeat: no-repeat;
     background-position: top right;
     top: -6%;
     right: 0%;
     z-index: 9;
}
 .cta-heading h2 {
     display: flex !important;
     justify-content: center !important;
     align-items: center !important;
}
.availability-form input,
.availability-form select,
.availability-form textarea {
  background: rgba(255, 255, 255, 0.15);
  border: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 50px;
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  color: #fff;
  outline: none;
  transition: all 0.3s ease;
}
.availability-form ::placeholder {
  color: rgba(255, 255, 255, 0.8);
}
/* Contact Page */
 .my-form {
     background: rgba(255, 255, 255, 0.15);
     backdrop-filter: blur(14px);
     -webkit-backdrop-filter: blur(14px);
     border: 1px solid rgba(255, 255, 255, 0.25) !important;
     box-shadow: 0 8px 30px rgba(0, 0, 0, 0.25);
}
/* Gallery page css */
 .gallery-slider .elementor-slideshow__title {
     display: none;
}
 .gallery-slider .swiper-slide {
     opacity: 0.3;
     transition: opacity 0.3s;
}
 .gallery-slider .swiper-slide-active {
     opacity: 1;
}
/* Amentities Page */
 .custom-hover-arrow.elementor-widget-image-carousel .swiper-slide-inner .eicon, .custom-hover-arrow.elementor-widget-image-carousel .elementor-lightbox-item::before {
     display: none !important;
}
 .custom-hover-arrow.elementor-widget-image-carousel .swiper-slide-inner {
     position: relative;
     overflow: hidden;
}
 .custom-hover-arrow.elementor-widget-image-carousel .swiper-slide-image {
     transition: transform 0.3s ease;
}
 .custom-hover-arrow.elementor-widget-image-carousel .swiper-slide-inner::after {
     content: "↗";
     position: absolute;
     top: 50%;
     left: 50%;
     transform: translate(-50%, -50%);
     width: 70px;
     height: 70px;
     border-radius: 50%;
     background: rgba(40, 40, 40, 0.35);
     backdrop-filter: blur(10px);
     -webkit-backdrop-filter: blur(10px);
     display: flex;
     align-items: center;
     justify-content: center;
     font-size: 34px;
     color: #fff;
     opacity: 0;
     visibility: hidden;
     transition: 0.3s ease;
     pointer-events: none;
}
 .custom-hover-arrow.elementor-widget-image-carousel .swiper-slide:hover .swiper-slide-inner::after {
     opacity: 1;
     visibility: visible;
}
 .custom-hover-arrow footer.elementor-slideshow__footer.elementor-lightbox-prevent-close {
     display: none !important;
}
 .leave-new-bg::before {
     top: -2% !important;
}
.dialog-lightbox-widget-content .elementor-slideshow__title {
    display: none !important;
}
.away-embed{
    height: 1500px!important;
}

/* Media Query */
@media(max-width:991px){
    .away-embed{
        height: 1800px!important;
}
}
 @media screen and (max-width: 575px) {
     .cta-heading img {
         width: 40% !important;
    }
     .leave-bg::before {
         background-size: 35%;
    }
     .custom-hover-arrow.elementor-widget-image-carousel .swiper-slide-inner::after {
         width: 45px;
         height: 45px;
         font-size: 22px;
    }
     .leave-new-bg::before {
         top: 0% !important;
    }
	 div#elementor-popup-modal-1389.popup-left {
		background: transparent !important;
	}
}
@media(max-width:475px){
    .away-embed{
        height: 2400px!important;
}
}